## PhoshBtInfo

PhoshBtInfo — A widget to display the bluetooth status

## Functions

GtkWidget * | phosh_bt_info_new ()

## Properties

gboolean | enabled | Read
gboolean | present | Read

## Types and Values

#define | PHOSH_TYPE_BT_INFO
| PhoshBtInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshBtInfo

## Implemented Interfaces

PhoshBtInfo implements AtkImplementorIface and GtkBuildable.

## Description

PhoshBtInfo displays the current bluetooth status based on information from PhoshBtManager. To figure out if the widget should be shown the “enabled” property can be useful.

## Functions

### phosh_bt_info_new ()

    GtkWidget *
    phosh_bt_info_new (void);

## Types and Values

### PHOSH_TYPE_BT_INFO

    #define PHOSH_TYPE_BT_INFO (phosh_bt_info_get_type ())

### PhoshBtInfo

    typedef struct _PhoshBtInfo PhoshBtInfo;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Whether a bt device is enabled.

Owner: PhoshBtInfo

Flags: Read

Default value: FALSE

### The `“present”` property

      “present”                  gboolean

Whether bt hardware is present.

Owner: PhoshBtInfo

Flags: Read

Default value: FALSE